package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TBusiControlMeasure;

/**
 * 管控措施 数据层
 */
@Mapper
public interface TBusiControlMeasureMapper {

    TBusiControlMeasure selectTBusiControlMeasureByGuid(String guid);

    List<TBusiControlMeasure> selectTBusiControlMeasureList(TBusiControlMeasure tBusiControlMeasure);

    int insertTBusiControlMeasure(TBusiControlMeasure tBusiControlMeasure);

    int updateTBusiControlMeasure(TBusiControlMeasure tBusiControlMeasure);

    int deleteTBusiControlMeasureByGuid(String guid);

    int deleteTBusiControlMeasureByGuids(String[] guids);
}
